org.modeshape.jcr.value.binary

## Class NamedLocks.WrappedLock

- java.lang.Object
- - org.modeshape.jcr.value.binary.NamedLocks.WrappedLock

- All Implemented Interfaces:
    Lock
  Enclosing class:
    NamedLocks

      protected static class NamedLocks.WrappedLock
      extends Object
      implements Lock

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Lock` | `actualLock`
    `protected NamedLocks.NamedLock` | `namedLock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NamedLocks.WrappedLock(NamedLocks.NamedLock namedLock, Lock lock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lock()`
    `void` | `lockInterruptibly()`
    `Condition` | `newCondition()`
    `boolean` | `tryLock()`
    `boolean` | `tryLock(long time, TimeUnit unit)`
    `void` | `unlock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### namedLock

          protected final NamedLocks.NamedLock namedLock

    - #### actualLock

          protected final Lock actualLock

  - ### Constructor Detail

    - #### NamedLocks.WrappedLock

          protected NamedLocks.WrappedLock(NamedLocks.NamedLock namedLock,
                                Lock lock)

  - ### Method Detail

    - #### lock

          public void lock()

      Specified by:
        `lock` in interface `Lock`

    - #### lockInterruptibly

          public void lockInterruptibly()

      Specified by:
        `lockInterruptibly` in interface `Lock`

    - #### newCondition

          public Condition newCondition()

      Specified by:
        `newCondition` in interface `Lock`

    - #### tryLock

          public boolean tryLock()

      Specified by:
        `tryLock` in interface `Lock`

    - #### tryLock

          public boolean tryLock(long time,
                        TimeUnit unit)

      Specified by:
        `tryLock` in interface `Lock`

    - #### unlock

          public void unlock()

      Specified by:
        `unlock` in interface `Lock`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.